body {
	color:<?php echo $bodyText; ?>;
    background:<?php echo $bodyBg; ?>;
}

.hotwrapper, .header_module {
	width:<?php echo $overallWidth; ?>px;
}

.header_left {
	width:<?php echo $headerLeftWidth; ?>px;
}

.path,.upper,.bottom,.main_area,.header,.footer_content,.footer_wrap_copyright_content {
	width:<?php echo $templateWidth; ?>px;
}

.content_wrap {
	width:<?php echo $contentWidth; ?>px;
}

h1 {
	color:<?php echo $componentHeadingText; ?>;
}

h2 {
	color:<?php echo $headingText; ?>;
}

h2 a {
	color:<?php echo $headingHoverText; ?>;
}

.column_left {
	width:<?php echo $columnLeftWidth; ?>px;
}

.column_right {
	width:<?php echo $columnRightWidth; ?>px;
}

.pathway, a.pathway:link, a.pathway:visited, a.pathway:hover {
	color:<?php echo $breadcrumbsText; ?>;
}

.upper_advert {
    color:<?php echo $advertText; ?>;
}

.upper_advert div.moduletable h3 {
	color:<?php echo $advertHeading; ?>;
}

.upper_advert a:link,.upper_advert a:visited,.upper_advert a:hover {
	color:<?php echo $advertLink; ?>;
}

.bottom {
    color:<?php echo $userText; ?>;
}

.bottom div.moduletable h3 {
    color:<?php echo $userHeading; ?>;
}

.bottom a:link,.bottom a:visited,.bottom a:hover {
	color:<?php echo $userLink; ?>;
}

.footer_modules {
    color:<?php echo $footerText; ?>;
}

.footer_modules div.moduletable h3 {
    color:<?php echo $footerHeading; ?>;
}

.footer_modules a:link,.footer_modules a:visited,.footer_modules a:hover {
	color:<?php echo $footerLink; ?>;
}

.column_right div.moduletable,.column_right div.moduletable_menu,.column_right div.moduletable_text,
.column_left div.moduletable,.column_left div.moduletable_menu,.column_left div.moduletable_text {
    color:<?php echo $columnText; ?>;
}

div.moduletable h3, div.moduletable_menu h3, div.moduletable_text h3 {
	color:<?php echo $columnHeading; ?>;
}

.full_wrapper,#top-panel {
	background:<?php echo $topLineColor; ?>;
}

#nav li {
	background:<?php echo $topMenuButton; ?>;
}

#nav li:hover, #nav li.active {
	background:<?php echo $topMenuHoverButton; ?>;
}

#nav li:hover a, #nav li.active a {
    color:<?php echo $topMenuHoverText; ?>;
}

#nav li a {
    color:<?php echo $topMenuText; ?>;
}

#nav li:hover ul li a {
	background:<?php echo $topMenuSubBg; ?>;
	color:<?php echo $topMenuSubText; ?>;
}

#nav li:hover ul li a:hover {
	background:<?php echo $topMenuSubBgHover; ?>;
	color:<?php echo $topMenuSubTextHover; ?>;
}

a:link,a:visited,.footer ul.menu li a:hover {
	color:<?php echo $linksColor; ?>;
}

p.readon a:link,p.readon a:visited,
p.readmore a:link,p.readmore a:visited {
	background:<?php echo $linksColor; ?>;
}

.column_right li.active a:link,.column_right li.active a:visited,.column_left li.active a:link,.column_left li.active a:visited,
.column_right a:link,.column_right a:visited,.column_right a:hover,.column_left a:link,.column_left a:visited,.column_left a:hover {
	color:<?php echo $columnLink; ?> !important;
}

.wrapper_top,.wrapper_path {
	background:<?php echo $breadcrumbsBg; ?>;
	border-top:1px solid <?php echo $breadcrumbsBorder; ?>;
	border-bottom:1px solid <?php echo $breadcrumbsBorder; ?>;
}

.bottom_pad {
	background:<?php echo $userBg; ?>;
	border:1px solid <?php echo $userBorder; ?>;
}

.footer_modules .moduletable {
	background:<?php echo $footerBg; ?>;
	border:1px solid <?php echo $footerBorder; ?>;
}