<?php
/*------------------------------------------------------------------------
# "Hot Leafs" Joomla template - February, 2011
# Copyright (C) 2011 HotThemes. All Rights Reserved.
# License: http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 only
# Author: HotJoomlaTemplates.com
# Website: http://www.hotjoomlatemplates.com
-------------------------------------------------------------------------*/
defined( '_JEXEC' ) or die( 'Restricted access' );
define( 'YOURBASEPATH', dirname(__FILE__) );
$template_path = $this->baseurl.'/templates/'.$this->template;
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo $this->language; ?>" lang="<?php echo $this->language; ?>" ><head>
<jdoc:include type="head" />

<?php	// module states
		
		$showadvert[1] = $this->countModules('advert1');
		$showadvert[2] = $this->countModules('advert2');
		$showadvert[3] = $this->countModules('advert3');
		$showadvert[4] = $this->countModules('advert4');
		$showuser[5] = $this->countModules('user5');
		$showuser[6] = $this->countModules('user6');
		$showuser[7] = $this->countModules('user7');
		$showuser[8] = $this->countModules('user8');
		$showuser9 = $this->countModules('user9');
		$showuser10 = $this->countModules('user10');
		$showuser11 = $this->countModules('user11');
		$showfooter[1] = $this->countModules('footer1');
		$showfooter[2] = $this->countModules('footer2');
		$showfooter[3] = $this->countModules('footer3');
		$showfooter[4] = $this->countModules('footer4');
		$showleft = $this->countModules('left');
		$showright = $this->countModules('right');
		$showuser1 = $this->countModules('user1');
		$showuser2 = $this->countModules('user2');
		$showuser3 = $this->countModules('user3');
		$showbreadcrumbs = $this->countModules('breadcrumbs');
		$showpanel[1] = $this->countModules('panel1');
		$showpanel[2] = $this->countModules('panel2');
		$showpanel[3] = $this->countModules('panel3');
		$showpanel[4] = $this->countModules('panel4');
		
		$panelmodules = 0;
		for ($loop = 1; $loop <= 4; $loop += 1) {
			if($showpanel[$loop]) { $panelmodules++; }
		}
		
		$uppermodules = 0;
		for ($loop = 1; $loop <= 4; $loop += 1) {
			if($showadvert[$loop]) { $uppermodules++; }
		}
		
		$bottommodules = 0;
		for ($loop = 5; $loop <= 8; $loop += 1) {
			if($showuser[$loop]) { $bottommodules++; }
		}
		
		$footermodules = 0;
		for ($loop = 1; $loop <= 4; $loop += 1) {
			if($showfooter[$loop]) { $footermodules++; }
		}
?>

<?php	// template parameters
		
		// template layout
		$templateWidth = $this->params->get("templateWidth", "980");
		$textDirection = $this->params->get("textDirection", "ltr");
		$columnLeftWidth = 0; $columnRightWidth = 0; $columnLeftPad = 0; $columnRightPad = 0;
		if ($showleft) {
			$columnLeftWidth = $this->params->get("columnLeftWidth", "285"); 
			$columnLeftPad = 15;
		}else{
			$columnLeftWidth = 0;
			$columnLeftPad = 0;
		}
		if ($showright) {
			$columnRightWidth = $this->params->get("columnRightWidth", "285");
			$columnRightPad = 15;
		}else{
			$columnRightWidth = 0;
			$columnRightPad = 0;
		}
		$contentWidth = $templateWidth - $columnLeftWidth - $columnLeftPad - $columnRightWidth - $columnRightPad;
		$overallWidth = $templateWidth;
		$headerLeftWidth = $overallWidth - 350;
		
		// add-ons
		$imageReflectionLoad = $this->params->get("imageReflectionLoad", "1");
		$fontResizeLoad = $this->params->get("fontResizeLoad", "1");
		
		// template style
		
			// check if in parameters
			$templateStyle = $this->params->get("templateStyle", "1");
			
			// check if it cookie
			if(isset($_COOKIE['Style']))
			{
			$templateStyle = $_COOKIE['Style'];
			}
			
			$templateStyleTest = "";
		
			// check if in link
			if (isset($_GET['style'])) {
				$templateStyleTest = $_GET['style'];
			}
			
			if ($templateStyleTest) { 
				$templateStyle = $templateStyleTest;
				$Month = 2592000 + time(); 
				setcookie(Style, $templateStyle, $Month);
			}
		
		if($templateStyle) {
			
		require(YOURBASEPATH."/styles/style".$templateStyle.".php");
			
		}else{

		$bodyText = $this->params->get("bodyText", "#555555");
		$linksColor = $this->params->get("linksColor", "#455200");
		$componentHeadingText = $this->params->get("componentHeadingText", "#555555");
		$headingText = $this->params->get("headingText", "#555555");
		$headingHoverText = $this->params->get("headingHoverText", "#455200");
		$bodyBg = $this->params->get("bodyBg", "#ffffff");
		$topLineColor = $this->params->get("topLineColor", "#1e1e1e");
		$menuAnimationEffect = $this->params->get("menuEffect", "fadeIn(700)");	
		$topMenuButton = $this->params->get("topMenuButton", "#000000");
		$topMenuHoverButton = $this->params->get("topMenuHoverButton", "#ffffff");
		$topMenuText = $this->params->get("topMenuText", "#ffffff");
		$topMenuHoverText = $this->params->get("topMenuHoverText", "#222222");
		$topMenuSubBg = $this->params->get("topMenuSubBg", "#222222");
		$topMenuSubBgHover = $this->params->get("topMenuSubBgHover", "#115164");
		$topMenuSubText = $this->params->get("topMenuSubText", "#ffffff");
		$topMenuSubTextHover = $this->params->get("topMenuSubTextHover", "#ffffff");
		$breadcrumbsText = $this->params->get("breadcrumbsText", "#444");
		$breadcrumbsBg = $this->params->get("breadcrumbsBg", "#efefef");
		$breadcrumbsBorder = $this->params->get("breadcrumbsBorder", "#cccccc");
		$columnHeading = $this->params->get("columnHeading", "#444444");
		$columnText = $this->params->get("columnText", "#444444");
		$columnLink = $this->params->get("columnLink", "#444444");
		$advertText = $this->params->get("advertText", "#444");
		$advertHeading = $this->params->get("advertHeading", "#444");
		$advertLink = $this->params->get("advertLink", "#444");
		$userText = $this->params->get("userText", "#444");
		$userHeading = $this->params->get("userHeading", "#444");
		$userLink = $this->params->get("userLink", "#444");
		$userBg = $this->params->get("userBg", "#deefba");
		$userBorder = $this->params->get("userBorder", "#bcce99");
		$footerText = $this->params->get("footerText", "#444");
		$footerHeading = $this->params->get("footerHeading", "#444");
		$footerLink = $this->params->get("footerLink", "#444");
		$footerBg = $this->params->get("footerBg", "#efefef");
		$footerBorder = $this->params->get("footerBorder", "#cccccc");
		$componentHeadingText = $this->params->get("componentHeadingText", "#ffffff");
		$headingText = $this->params->get("headingText", "#ffffff");
		$headingHoverText = $this->params->get("headingHoverText", "#e4e37c");
		
		}
?>
<link rel="stylesheet" href="<?php echo $template_path ?>/css/joomla.css" type="text/css" />
<link rel="stylesheet" href="<?php echo $template_path ?>/css/template_css.css" type="text/css" />
<link rel="stylesheet" href="<?php echo $template_path ?>/css/layout.css" type="text/css" />
<?php if ($textDirection=="rtl") { ?>
<link rel="stylesheet" href="<?php echo $template_path ?>/css/rtl.css" type="text/css" />	
<?php } ?>
<?php require(dirname(__FILE__).DIRECTORY_SEPARATOR.'/js/browser.php'); ?>
<style type="text/css">
<!--
<?php require(dirname(__FILE__).DIRECTORY_SEPARATOR.'/css/template_css.php'); ?>
-->
</style>
<?php if ($ua['name'] == 'Internet Explorer' && $ua['version'] < 9) { ?>
<style type="text/css">
<!--
<?php require(dirname(__FILE__).DIRECTORY_SEPARATOR.'/css/template_css_ie78.php'); ?>
-->
</style>
<?php } ?>

<?php JHtml::_('bootstrap.framework', true); ?>

<!-- top menu -->
<script type="text/javascript">
function mainmenu(){
jQuery(" #nav ul ").css({display: "none"}); // Opera Fix
jQuery(" #nav li ").hover(function(){
		jQuery(this).find('ul:first').css({visibility: "visible",display: "none"}).<?php echo $menuAnimationEffect; ?>;
		},function(){jQuery(this).find('ul:first').css({visibility: "hidden"});	});}
jQuery(document).ready(function(){ mainmenu();});
</script>

<?php if ($panelmodules) { ?>
<!-- top panel -->
<script type="text/javascript" src="<?php echo $template_path ?>/js/toppanel.js"></script>
<?php } ?>

<?php if($imageReflectionLoad) { ?>
<!-- reflection -->
<script type="text/javascript" src="<?php echo $template_path ?>/js/reflection.js"></script>
<?php } ?>

<?php if($fontResizeLoad) { ?>
<!-- font resizer -->
<script type="text/javascript" src="<?php echo $template_path ?>/js/fontResize.js"></script>
<?php } ?>

</head>
<body>
<div class="full_wrapper"></div>
<?php if ($panelmodules) { ?>
<div id="top-panel">
     <div class="topPanelModules">
     	<?php if($showpanel[1]) { ?>
        <div class="modulerow<?php echo $panelmodules; ?>"><jdoc:include type="modules" name="panel1" style="hot" /></div>
        <?php } if($showpanel[2]) { ?>
        <div class="modulerow<?php echo $panelmodules; ?>"><jdoc:include type="modules" name="panel2" style="hot" /></div>
        <?php } if($showpanel[3]) { ?>
        <div class="modulerow<?php echo $panelmodules; ?>"><jdoc:include type="modules" name="panel3" style="hot" /></div>
        <?php } if($showpanel[4]) { ?>
        <div class="modulerow<?php echo $panelmodules; ?>"><jdoc:include type="modules" name="panel4" style="hot" /></div>
        <?php } ?>
    </div>
    <div style="clear:both"></div>
</div>
<div id="sub-panel"><a href="#" id="toggle"><span id="shText">Open</span></a></div>
<?php } ?>
<div id="header_wrap">
	<div class="header_module">
    	<div class="header_left">
            <div class="topmenu">
                <jdoc:include type="modules" name="user3" style="none" />
            </div>
            <div class="logo">
                <div class="logo_pad">
                    <a href="index.php"><img src="<?php echo $template_path ?>/images/logo.png" width="415" height="116" alt="green joomla template" /></a>
                </div>
            </div>
        </div>
        <div id="header_search">
        	<div class="header_search_pad">
        		<jdoc:include type="modules" name="user4" style="none" />
            </div>
        </div>
        <div class="clr"></div>
    </div>
</div>
<?php if ($showuser9) { ?>
<div class="wrapper_top">
    <div class="upper">
    	<jdoc:include type="modules" name="user9" style="hot" />
    </div>
</div>
<?php } else { ?>
<div class="wrapper_path">
    <div class="path">
        <div class="path_pad">
            <jdoc:include type="modules" name="breadcrumbs" style="none" />
            <jdoc:include type="modules" name="carousel" style="none" />
        </div>
    </div>
</div>
<?php } ?>
<?php if ($showuser10) { ?>
<div class="hotwrapper">
    <div class="upper_user10">
    	<jdoc:include type="modules" name="user10" style="hot" />
    </div>
</div>
<?php } ?>
<div class="hotwrapper">
    <?php if ($uppermodules) { ?>
    <div class="upper_advert">
    	<div class="upper_advert_pad">
			<?php if($showadvert[1]) { ?>
            <div class="modulerow<?php echo $uppermodules; ?>"><jdoc:include type="modules" name="advert1" style="hot" /></div>
            <?php } if($showadvert[2]) { ?>
            <div class="modulerow<?php echo $uppermodules; ?>"><jdoc:include type="modules" name="advert2" style="hot" /></div>
            <?php } if($showadvert[3]) { ?>
            <div class="modulerow<?php echo $uppermodules; ?>"><jdoc:include type="modules" name="advert3" style="hot" /></div>
            <?php } if($showadvert[4]) { ?>
            <div class="modulerow<?php echo $uppermodules; ?>"><jdoc:include type="modules" name="advert4" style="hot" /></div>
            <?php } ?>
            <div class="clr"></div>
        </div>
    </div>
    <?php } ?>
</div>
<div class="wrapper_main">
    <div class="main_area">
    	<div class="main_area_pad">
			<?php if ($showleft) { ?>
            <div class="column_left">
            	<div class="column_left_pad">
                	<jdoc:include type="modules" name="left" style="hot" />
                </div>
            </div>
            <?php } ?>
                <div class="content_wrap">
                        <div class="content_pad">
                            <?php if ($showuser1) { ?>
                            <div class="module_inset">
                                <jdoc:include type="modules" name="user1" style="hot" />
                            </div>
                            <?php } ?>
                            
                                <jdoc:include type="message" />
                                <jdoc:include type="component" />
                            
                            <?php if ($showuser2) { ?>
                            <div class="module_toolbar">
                                <jdoc:include type="modules" name="user2" style="hot" />
                            </div>
                            <?php } ?>
                        </div>
                <div class="clr"></div>
            </div>
            <?php if ($showright) { ?>
            <div class="column_right">
                <div class="column_right_pad">
                    <jdoc:include type="modules" name="right" style="xhtml" />
                </div>
            </div>
            <?php } ?>
            <div class="clr"></div>
        </div>
    </div>
    <?php if ($bottommodules) { ?>
    <div class="bottom">
    	<div class="bottom_pad">
			<?php if($showuser[5]) { ?>
            <div class="modulerow<?php echo $bottommodules; ?>"><jdoc:include type="modules" name="user5" style="hot" /></div>
            <?php } if($showuser[6]) { ?>
            <div class="modulerow<?php echo $bottommodules; ?>"><jdoc:include type="modules" name="user6" style="hot" /></div>
            <?php } if($showuser[7]) { ?>
            <div class="modulerow<?php echo $bottommodules; ?>"><jdoc:include type="modules" name="user7" style="hot" /></div>
            <?php } if($showuser[8]) { ?>
            <div class="modulerow<?php echo $bottommodules; ?>"><jdoc:include type="modules" name="user8" style="hot" /></div>
            <?php } ?>
            <div class="clr"></div>
    	</div>
    </div>
    <?php } ?>
</div>
<?php if ($showuser11) { ?>
<div class="hotwrapper">
    <div class="upper_user11">
    	<jdoc:include type="modules" name="user11" style="hot" />
    </div>
</div>
<?php } ?>
<div class="footer_wrap">
	<div class="footer_content">
    	<?php if ($footermodules) { ?>
        <div class="footer_modules">
            <?php if($showfooter[1]) { ?>
            <div class="modulerow<?php echo $footermodules; ?>"><jdoc:include type="modules" name="footer1" style="xhtml" /></div>
            <?php } if($showfooter[2]) { ?>
            <div class="modulerow<?php echo $footermodules; ?>"><jdoc:include type="modules" name="footer2" style="xhtml" /></div>
            <?php } if($showfooter[3]) { ?>
            <div class="modulerow<?php echo $footermodules; ?>"><jdoc:include type="modules" name="footer3" style="xhtml" /></div>
            <?php } if($showfooter[4]) { ?>
            <div class="modulerow<?php echo $footermodules; ?>"><jdoc:include type="modules" name="footer4" style="xhtml" /></div>
            <?php } ?>
            <div class="clr"></div>
        </div>
        <?php } ?>
    </div>
</div>
<div class="footer_wrap_copyright">
    <div class="footer_wrap_copyright_content">
    	<div class="footer_wrap_copyright_content_pad">
            <div class="footer">
                <div class="footer_pad">
                    <jdoc:include type="modules" name="footer" />
                </div>
            </div>
            <div class="footer2">
                <div class="footer_pad">
                    <jdoc:include type="modules" name="bottom" style="none" />
                </div>
            </div><div class="clr"></div>
        </div>
    </div>
</div>
<div style="clear:both"></div>
<jdoc:include type="modules" name="debug" style="none" />    
</body>
</html>